-- vim: ts=2 sw=2 ai et enc=utf8 fenc=utf8

local locale = GetLocale ()

-- Mandatory pet family localized strings.
-- These MUST MATCH what UnitCreatureFamily() returns.
local P
if locale == "enUS" or locale == "enGB" then
  P = RaidChecklistPetFamilies
  RaidChecklistSupportedLocale = true
else
  -- Set up a defaults table other locales can use as a fallback
  P = {}
  RaidChecklistPetFamiliesUS = P
  setmetatable (RaidChecklistPetFamilies, { __index = P })
end

P.BAT         = "Bat"
P.BEAR        = "Bear"
P.BEETLE      = "Beetle"
P.BIRDOFPREY  = "Bird of Prey"
P.BOAR        = "Boar"
P.CARRIONBIRD = "Carrion Bird"
P.CAT         = "Cat"
P.CHIMAERA    = "Chimaera"
P.COREHOUND   = "Core Hound"
P.CRAB        = "Crab"
P.CROCOLISK   = "Crocolisk"
P.DEVILSAUR   = "Devilsaur"
P.DOG         = "Dog"
P.DOOMGUARD   = "Doomguard"
P.DRAGONHAWK  = "Dragonhawk"
P.FELGUARD    = "Felguard"
P.FELHUNTER   = "Felhunter"
P.FOX         = "Fox"
P.GHOUL       = "Ghoul"
P.GORILLA     = "Gorilla"
P.HYENA       = "Hyena"
P.IMP         = "Imp"
P.MONKEY      = "Monkey"
P.MOTH        = "Moth"
P.NETHERRAY   = "Nether Ray"
P.RAPTOR      = "Raptor"
P.RAVAGER     = "Ravager"
P.RHINO       = "Rhino"
P.SCORPID     = "Scorpid"
P.SERPENT     = "Serpent"
P.SHALESPIDER = "Shale Spider"
P.SILITHID    = "Silithid"
P.SPIDER      = "Spider"
P.SPIRITBEAST = "Spirit Beast"
P.SPOREBAT    = "Sporebat"
P.SUCCUBUS    = "Succubus"
P.TALLSTRIDER = "Tallstrider"
P.TURTLE      = "Turtle"
P.VOIDWALKER  = "Voidwalker"
P.WARPSTALKER = "Warp Stalker"
P.WASP        = "Wasp"
P.WATERELEMENTAL = "Water Elemental"
P.WINDSERPENT = "Wind Serpent"
P.WOLF        = "Wolf"
P.WORM        = "Worm"



-- Optional strings
local L
if locale == "enUS" or locale == "enGB" then
  L = RaidChecklistStrings
else
  -- Set up a defaults table other locales can use as a fallback
  L = {}
  RaidChecklistStringsUS = L
  setmetatable (RaidChecklistStrings, { __index = L })
end

-- Colorized class names
L.HUNTER      = ClassColorString ("HUNTER")     .. "Hunter"
L.WARRIOR     = ClassColorString ("WARRIOR")    .. "Warrior"
L.DEATHKNIGHT = ClassColorString ("DEATHKNIGHT").. "Death Knight"
L.PRIEST      = ClassColorString ("PRIEST")     .. "Priest"
L.SHAMAN      = ClassColorString ("SHAMAN")     .. "Shaman"
L.PALADIN     = ClassColorString ("PALADIN")    .. "Paladin"
L.DRUID       = ClassColorString ("DRUID")      .. "Druid"
L.WARLOCK     = ClassColorString ("WARLOCK")    .. "Warlock"
L.ROGUE       = ClassColorString ("ROGUE")      .. "Rogue"
L.MAGE        = ClassColorString ("MAGE")       .. "Mage"

-- Talent trees
L.AFFLICTION    = "(Affliction)"
L.ARCANE        = "(Arcane)"
L.ARMS          = "(Arms)"
L.ASSASSINATION = "(Assassination)"
L.BALANCE       = "(Balance)"
L.BEASTMASTER   = "(BeastMaster)"
L.BLOOD         = "(Blood)"
L.COMBAT        = "(Combat)"
L.DEMONOLOGY    = "(Demonology)"
L.DESTRUCTION   = "(Destruction)"
L.DRUIDBEAR     = "(Bear)"
L.ELEMENTAL     = "(Elemental)"
L.ENHANCEMENT   = "(Enhancement)"
L.FERAL         = "(Feral)"
L.FIRE          = "(Fire)"
L.FROST         = "(Frost)"
L.FURY          = "(Fury)"
L.MARKSMAN      = "(Marksman)"
L.PROTECTION    = "(Protection)"
L.RESTORATION   = "(Restoration)"
L.RETRIBUTION   = "(Retribution)"
L.SHADOW        = "(Shadow)"
L.SUBTLETY      = "(Subtlety)"
L.SURVIVAL      = "(Survival)"
L.UNHOLY        = "(Unholy)"
L.HOLY          = "(Holy)"
L.DISCIPLINE    = "(Discipline)"

L.PET = " pet: "
L.MISSINGTALENTS = "Talents not yet inspected for:"

-- List headers
L.BUFFS    = "Buffs"
L.DEBUFFS  = "Debuffs"
L.CCPVP    = "PvP/Crowd Control"
L.AVAILABLEFROM = "Available from:"
L.PROVIDEDBY = "Provided by:"
L.NOBODY = "<nobody>"

-- Buffs & debuff names
L.CRIT            = "+5% Critical Chance"
L.ATTACKPWR       = "+10% Attack Power"
L.SPELLPWR6       = "+6% Spell Power"
L.SPELLPWR10      = "+10% Spell Power"
L.PHYSHASTE       = "+10% Physical Haste"
L.SPELLHASTE      = "+5% Spell Haste"
L.STATS           = "+5% All Primary Stats"
L.ALLDMG          = "+3% All Damage"
L.AGISTR          = "Increased Agi/Str"
L.STAM            = "Increased Stamina"
L.BLOODLUST       = "Bloodlust/Heroism"
L.MANA            = "Increased Mana Pool"
L.MANAREGEN       = "Increased Mana Regen"
L.BURSTMANA       = "Burst Replenishment"
L.REPLENISHMENT   = "Replenishment"
L.ARMOR           = "Increased Armor"
L.PUSHBACKRES     = "Spell Pushback Resist"

L.SPELLCRIT       = "+5% Spell Crit. Vulnerability "
L.PHYSDMGTAKEN    = "+4% Physical Dmg Taken"
L.SPELLDMGTAKEN   = "+8% Spell Dmg Taken"
L.BLEEDDMGTAKEN   = "+30% Bleed Dmg Taken"
L.ATTACKSPD       = "Decreased Attack Speed"
L.CASTSPD         = "Decreased Cast Speed"
L.DEMOROAR        = "Decreased Physical Dmg"
L.SUNDER          = "-12% Armor"
L.MORTALSTRIKE    = "-25% Healing Received"

-- Dispels
L.DISPELS         = "Dispels/Cures"
L.OFFMAGIC        = "Dispel Magic (offensive)"
L.DEFMAGIC        = "Dispel Magic (defensive)"
L.DISEASE         = "Cure Disease"
L.POISON          = "Cleanse Poison"
L.CURSE           = "Remove Curse"
L.ENRAGE          = "Soothe Enrage (offensive)"

-- CC / PvP names
L.DISORIENT       = "Disorient"
L.SILENCE         = "Silence/Interrupt"
L.SNARE           = "Snare/Slow"
L.ROOT            = "Root"
L.KNOCKBACK       = "Knockback"
L.DISARM          = "Disarm"
L.STUN            = "Stun"


-- Configuration
L["Raid Checklist"] = "Raid Checklist"
L.CONFIG = "Configuration"
L.ANCHORLOCKED = "Locked"
L.ANCHORLOCKEDDESC = "Lock anchor button in place to prevent accidental moving of it."
L.SHOWANCHOR = "Show anchor button"
L.SHOWANCHORDESC = "When using DataBroker displays, it might not be necessary to display the main anchor button."
L.OPENDIRECTION = "List direction"
L.OPENDIRECTIONDESC = "Direction to open the checklist in, relative to the anchor button."
L.DOWNRIGHT = "Down, Right"
L.DOWNLEFT = "Down, Left"
L.UPRIGHT = "Up, Right"
L.UPLEFT = "Up, Left"
L.RESETANCHOR = "Reset position"
L.RESETANCHORDESC = "Repositions the anchor button to the center of the screen."

L.LDBTOOLTIP = "Left-click to toggle raid checklist.\nRight-click for configuration options."

-- Keybinding
BINDING_NAME_RAIDCHECKLIST_TOGGLE = "Toggle Raid Checklist"
BINDING_HEADER_RAIDCHECKLIST = L["Raid Checklist"]
